Aramex Australia offers domestic services for accounts shipping from Australia.
This guide provides developers with the details needed to build Aramex Australia shipping capabilities into your ShipStation API workflows.
If you are using or plan to use the Aramex services included with ShipStation API, rather than connecting your own Aramex AU account, see our Aramex from ShipStation guide.
Aramex New Zealand and Aramex International are also supported and we'll be adding guides for these carriers in the near future.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
client_id | string | required | Your Aramex AU client ID |
client_secret | string | required | Your Aramex AU client secret |
email | string | required | The email addressed used for your Aramex AU account |
account-type_id | string | Optional | Consignment type |
- Ship From and Ship To adddresses both require phone number and email address properties.
- For non-satchel shipments, no two dimensions of an item can exceed 105 cm.
You can connect a Aramex Australia account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
carrier_name: fastway_au
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/fastway_au HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Aramex Australia account",
"client_id": "123456789",
"client_secret": "98765421",
"email": "email@example.com"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Steps to connect via the dashboard are coming soon.
Aramex Australia supports rate shopping with ShipStation API.
Available Aramex Australia services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Standard | fastway_au_standard |
| Leave at Door | fastway_au_leave_at_door |
| Signature Required | fastway_au_signature_required |
| Priority | fastway_au_priority |
Aramex Australia supports creating returns with all services except Priority.
Review the Return Shipping Labels page for details on creating return labels with ShipStation API.
The following carrier package types are available for Aramex Australia services:
| Name | API Code |
|---|---|
| Package | fastway_au_package |
| Satchel-A2 (42.0 x 59.4cm, Max Weight 5kg) | fastway_au_satchel_a2 |
| Satchel-A3 (29.7 x 42.0cm, Max Weight 3kg) | fastway_au_satchel_a3 |
| Satchel-A4 (21.0 x 29.7cm, Max Weight 1kg) | fastway_au_satchel_a4 |
| Satchel-A5 (14.8 x 21.0cm, Max Weight 500g) | fastway_au_satchel_a5 |
| Satchel-300gm | fastway_au_satchel_300gm |
You can also use the generic package type or custom package types.
TIP:
When using satchels, dimensions and weight are not required as these are factored in on the Aramex side.
Aramex Australia does not support adding carrier insurance to shipments created with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF
- Supports unicode characters: unknown
Aramex Australia supports adding custom label messages.
- Label message 1 maps to the label reference field.
- At this time, we cannot map special instructions to a label reference field.
Aramex Australia supports creating multi-package shipments.
See our Multi-Package Shipping page for details about creating multi-package labels.
Aramex Australia does not support label branding.
Aramex Australia supports voiding labels with ShipStation API.
See our Void a Label page for details about voiding labels with ShipStation API.
Aramex Australia does not support paperless labels.
| Confirmation Type | API Code | Description |
|---|---|---|
| Authority to leave | none | No confirmation requested. |
| Standard delivery | delivery | Delivery confirmation is requested. |
| Signature delivery | signature | Signature is required for the shipment to be delivered. This signature may be a neighbor, building manager, or the recipient can authorize the release of the package (without being present). |
See our Delivery Confirmation page for more details about using the confirmation property.
Aramex Australia does not currently support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Aramex Australia does not require manifesting your shipments.
Aramex Australia does not support scheduling pickups using ShipStation API.
Aramex Australia does not support shipping to service points.
ShipStation API's integration with Aramex Australia supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.